| optoICC

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.TempCompensation Class Reference
Inheritance diagram for optoICC.registers.icc_registers.TempCompensation:

## Classes
class | Mode

## Public Member Functions
| __init__ (self, board=None, numberOfChannels=4)
| SetMode (self, mode)
| GetMode (self)
| SetMatrix (self, matrix)
| SetMatrixAsVector (self, index, vector)
| GetMatrixAsVector (self, index, count)
| GetLastOutput (self)
| SetPatternSegment (self, index, vector)
| GetPatternSegment (self, addr, int index, int count)

## Public Attributes
| name
| sys_id
| mode
| alpha
| downsample
| position_select
| vector
| M
| N
| last_output

## Detailed Description

    Device Functionality - Temperature Compensation
    System ID: 0x26

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | mode                      | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | alpha                     | 0x01 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | downsample                | 0x02 |int  32-bit  |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.TempCompensation.__init__ | ( |  | self,
|  |  | board = `None`,
|  |  | numberOfChannels = `4`
| ) |  |

## Member Function Documentation

## ◆ SetMode()

optoICC.registers.icc_registers.TempCompensation.SetMode | ( |  | self,
|  |  | mode
| ) |  |

## ◆ GetMode()

optoICC.registers.icc_registers.TempCompensation.GetMode | ( |  | self | ) |

## ◆ SetMatrix()

optoICC.registers.icc_registers.TempCompensation.SetMatrix | ( |  | self,
|  |  | matrix
| ) |  |

## ◆ SetMatrixAsVector()

optoICC.registers.icc_registers.TempCompensation.SetMatrixAsVector | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## ◆ GetMatrixAsVector()

optoICC.registers.icc_registers.TempCompensation.GetMatrixAsVector | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetLastOutput()

optoICC.registers.icc_registers.TempCompensation.GetLastOutput | ( |  | self | ) |

## ◆ SetPatternSegment()

optoICC.registers.icc_registers.TempCompensation.SetPatternSegment | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## ◆ GetPatternSegment()

optoICC.registers.icc_registers.TempCompensation.GetPatternSegment | ( |  | self,
|  |  | addr,
|  | int | index,
|  | int | count
| ) |  |

## Member Data Documentation

## ◆ name

optoICC.registers.icc_registers.TempCompensation.name

## ◆ sys_id

optoICC.registers.icc_registers.TempCompensation.sys_id

## ◆ mode

optoICC.registers.icc_registers.TempCompensation.mode

## ◆ alpha

optoICC.registers.icc_registers.TempCompensation.alpha

## ◆ downsample

optoICC.registers.icc_registers.TempCompensation.downsample

## ◆ position_select

optoICC.registers.icc_registers.TempCompensation.position_select

## ◆ vector

optoICC.registers.icc_registers.TempCompensation.vector

## ◆ M

optoICC.registers.icc_registers.TempCompensation.M

## ◆ N

optoICC.registers.icc_registers.TempCompensation.N

## ◆ last_output

optoICC.registers.icc_registers.TempCompensation.last_output